config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

find etc/viewvc/ -name *.new | while read cfg ; do config $cfg ; done

( cd opt/viewvc ; rm -rf cvsgraph.conf )
( cd opt/viewvc ; ln -sf ../../etc/viewvc/cvsgraph.conf cvsgraph.conf )
( cd opt/viewvc ; rm -rf mimetypes.conf )
( cd opt/viewvc ; ln -sf ../../etc/viewvc/mimetypes.conf mimetypes.conf )
( cd opt/viewvc ; rm -rf viewvc.conf )
( cd opt/viewvc ; ln -sf ../../etc/viewvc/viewvc.conf viewvc.conf )
